Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package transform
  Definition Classes
    nsc
-  package patmat
  Definition Classes
    transform
-  trait MatchTreeMaking extends MatchCodeGen with Debugging

  Translate our IR (TreeMakers) into actual Scala Trees using the factory methods in MatchCodeGen.

  Translate our IR (TreeMakers) into actual Scala Trees using the factory methods in MatchCodeGen.

  The IR is mostly concerned with sequencing, substitution, and rendering all necessary conditions, mostly agnostic to whether we're in optimized/pure (virtualized) mode.

  Definition Classes
    patmat
- CODE
- CodegenCore
- MatchMonadInterface
- OptimizedCodegen
- PureCodegen
- PureMatchMonadInterface
- Suppression
- TreeMakers
- TypedSubstitution
- debug
- vpmName

o

scala.tools.nsc.transform.patmat.MatchTreeMaking

# Suppression 

###
Companion class Suppression

#### object Suppression extends Serializable

Source
  MatchTreeMaking.scala

Linear Supertypes
Serializable, java.io.Serializable, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Suppression
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val FullSuppression: Suppression
5.  val NoSuppression: Suppression
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
10.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
11.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
12.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
13.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
17.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
18.  def toString(): String
    Definition Classes
      AnyRef → Any
19.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
20.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
21.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped